package com.trs.project.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.project.entity.GcJihuaInfo;
import com.trs.project.service.GcJihuaInfoService;
import org.apache.commons.lang3.ObjectUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author trs
 * @since 2024-02-27
 */
@RestController
public class NmProjectController extends BaseController {
    @Autowired
    private GcJihuaInfoService gcJihuaInfoService;
    @GetMapping(value = "/listTotal")
    public String getAreaDataName(String regionCode,String platformCode){
        GcJihuaInfo gcJihuaInfo = new GcJihuaInfo();
        gcJihuaInfo.setProjectjhguid("245517e2-deb3-4d5c-97b7-4b5c1fcdc8db-2");
        gcJihuaInfo.setJiandubumen("111");
        gcJihuaInfo.setDataTimestamp(222222222222222L);
        gcJihuaInfoService.saveOrUpdate(gcJihuaInfo);
        return "11";
    }
}
